#!/usr/bin/env ruby

puts"コンピュータとじゃんけんをしよう!"
puts"5回中3回勝てればクリアだよ!"
sleep(3)
puts""
print"それじゃ GAME START\n"
puts""

win = 0
kaisuu = 1
janken = ["だしてないよー", "グー", "チョキ", "パー"]

while kaisuu <= 5
  sleep(2)
  puts""
  printf("%d回目!(あなたの勝利数:%d)\n", kaisuu, win)
  puts""
  print"じゃーんけーん!(グーなら「1」チョキなら「2」パーなら「3」を押してね): "
  while true
    you = gets.to_i
    if you >= 4
        you = 0
    end
    com = rand(3) + 1
    printf("ぽん! (あなたは「%s」で コンピュータは「%s」)\n", janken[you], janken[com])
    sleep(1)
    if (you == 1 && com == 2) || (you == 2 && com == 3) || (you == 3 && com == 1)
      puts"あなたの勝ち!"
      win += 1
      kaisuu += 1
      break
    elsif (you == 1 && com == 3) || (you == 2 && com == 1) || (you == 3 && com == 2)
      puts"あなたの負け!"
      kaisuu += 1
      break
    elsif you == com
      print"あーいこーで(グーなら「1」チョキなら「2」パーなら「3」を押してね): "
      redo
    else
      puts"なにもだしてないからあなたの負け!"
      kaisuu += 1
      break
    end
  end
end

sleep(3)
printf("あなたの勝利数は「%d 回」\n", win)
sleep(3)

if win >= 3
  puts"おめでとう!"
  sleep(2)
  puts"+-------------------------------------------------+"
  system 'banner YOU WIN!!'
  puts"+-------------------------------------------------+"
else
  puts"残念..."
  sleep(2)
  puts"+------------------------------------------------+\n"
  system 'banner GAME OVER'
  puts"+------------------------------------------------+\n"
end
